.errorPage {
  height: 100vh;
  width: 100%;
  overflow: hidden;
  display: flex;
}

.notFound {
  margin: auto;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.notFound > h1.notFound404 {
  font-size: 186px;
  background: linear-gradient(130deg, #ffa34f, #ff6f68);
  background-clip: text;
  color: transparent;
  font-weight: 300;
}
.notFound > .notFoundContent {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.notFound > .notFoundContent > h2 {
  font-size: 32px;
  letter-spacing: 3px;
  font-weight: 300;
}

.notFound > .notFoundContent > button {
  text-align: center;
  margin: 0 auto;
}

.notFoundContent > .notFoundSocial {
  margin-top: 1rem;
}

.notFoundContent > .notFoundSocial > ul {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.notFoundContent > .notFoundSocial > ul > li {
  font-size: 24px;
  cursor: pointer;
  color: var(--orange-color);
  height: 32px;
  width: 32px;
  border-radius: var(--circle-radius);
  transition: var(--transition-all);
}

.notFoundContent > .notFoundSocial > ul > li:hover {
  transform: translateY(-8px);
}

/* **************** 3D Button **************** */
button.pushable {
  background: #f56b00;
  border-radius: 12px;
  border: none;
  padding: 0;
  cursor: pointer;
  outline-offset: 4px;
}

button.pushable > .front {
  display: block;
  padding: 12px 42px;
  border-radius: 12px;
  font-size: 1.25rem;
  background: #f59f10;
  color: var(--black-color);
  transform: translateY(-6px);
  transition: transform 600ms cubic-bezier(0.3, 0.7, 0.4, 1);
}

button.pushable:hover .front {
  transform: translateY(-6px);
  transition: transform 250ms cubic-bezier(0.3, 0.7, 0.4, 1.5);
}

button.pushable:active .front {
  transform: translateY(-2px);
  transition: transform 34ms;
}

/*  **************  MEDIA QUERIES ( SMALL DEVICES )  ****************  */
@media screen and (max-width: 747px) {
  .notFound {
    padding: 2rem;
  }
  .notFound > h1.notFound404 {
    font-size: 156px;
  }

  .notFound > .notFoundContent > h2 {
    font-size: 24px;
  }
  .notFound > .notFoundContent > p {
    font-size: 13px;
  }
}
